Subject: Re: [scim] SCIM IG meeting today: 3pm and Oct 6: 8am (pacific)

From: "Nancy Cam-Winget (ncamwing)" <[email-masked]>
Date: Wed, 15 Sep 2021 15:52:28 +0000

Hi all,
I will not be able to attend today’s session, but would like to ensure time is spent in refining the charter text.  The good news is that there is support for the work, but the charter text needs to be agreed upon.
There were 2 suggested updates by Janelle and Phil so the updated charter text is provided below….Can you focus today’s session to get agreement on the below text or update accordingly?
Once that is updated, I can do the  ask to see if there are any objections….to the new charter text.

Thanks,  Nancy

Here’s the proposed revised text based on responses:
The System for Cross-domain Identity Management (SCIM) specification is an HTTP-based protocol that makes managing identities in multi-domain scenarios easier. SCIM was last published in 2015 and has seen growing adoption.
One goal for this working group is to shepherd SCIM, currently RFC series 7642<https://datatracker.ietf.org/doc/html/rfc7642>, 7643<https://datatracker.ietf.org/doc/html/rfc7643>, 7644<https://datatracker.ietf.org/doc/html/rfc7644>, through the Internet Standard process. The group will deliver revised specifications for the SCIM requirements as Informational, and for the SCIM protocol and base schema suitable for consideration as a Standard. This work will be based upon the existing RFCs, errata and interoperabilty feedback, and incorporate current security and privacy best practices.
In addition to revising the requirements, protocol and base schema RFCs, the group will also consider additional specifications as extensions to SCIM that have found broad adoption and are ready for standards track. This includes profiles and schemas for interoperability in additional scenarios. The working group will develop additional Proposed Standard RFCs based on outcomes of the following work:

  *   Revision of the informational RFC 7642 will:
     *   Focus on Use cases and implementation patterns
        *   Pull vs. Push based use cases
        *   Events and signals use cases
        *   Deletion use cases
     *   New use cases may be added to the revised RFC
  *   Revision of RFC 7643/44 will include:
     *   Profiling SCIM relationships with other identity-centric protocols such as OAuth 2.0, OpenID Connect, Shared Signals, and Fastfed
     *   Updates to the evolution of the externalid usage

o    Updates to account state for capturing context of the state or change in state of the users account

     *
  *   Multi-Value Query Filtering and Paging - based on [draft-hunt-scim-mv-paging-00]
  *   Define a method for synchronization-related between domains:
     *   Incremental approach to synchronization
     *   Consider building off of RFC8417 and draft-hunt-idevent-scim<https://tools.ietf.org/html/draft-hunt-idevent-scim>
  *   Support for deletion-related goals including:
     *   Handling Deletes in SCIM Servers that don’t allow Deletes (Soft Deletes) - based on [draft-ansari-scim-soft-delete-00]
  *   Support for advanced automation scenarios such as:
     *   Discovery and negotiation of client credentials
     *   Attribute mapping
     *   Per-attribute schema negotiation
  *   Enhance the existing schema to support exchanging of HR, Enterprise group and privileged access management (using draft-grizzle-scim-pam<https://tools.ietf.org/id/draft-grizzle-scim-pam-ext-00.html> as a base)

From: scim <[email-masked]> on behalf of Pamela Dingle <Pamela.Dingle=[email-masked]>
Date: Wednesday, September 15, 2021 at 6:39 AM
To: "[email-masked]" <[email-masked]>
Subject: [scim] SCIM IG meeting today: 3pm and Oct 6: 8am (pacific)

Hi all,

Just a heads up that today's SCIM IG meetup is at 3pm pacific time, and our next SCIM IG meeting is not until October 6.  We can schedule an interim meeting if we need to.

The dial-in link for the meeting is below, we had one person who we could not get admitted to the meeting but could see in the lobby - if that happens again today, please email me with a phone number and I will try to dial you in manually, I'm so sorry that you weren't able to connect!
  https://teams.microsoft.com/l/meetup-join/19%3ameeting_Y2QxYzU0NjEtN2ZjNi00MGQ1LWJkMzUtZmQxZjZlZGZiYWZi%40thread.v2/0?context=%7b%22Tid%22%3a%2272f988bf-86f1-41af-91ab-2d7cd011db47%22%2c%22Oid%22%3a%2285bc2986-6412-41c0-ab6d-98c80048fe64%22%7d

Upcoming meeting Dates/Times:

Meeting Date

Time

Sept 15, 2021

3pm PT

Oct 6, 2021

8am PT

---

From: Danny Mayer <[email-masked]>
Date: Wed, 15 Sep 2021 12:03:11 -0400

I will also not be able to attend. I do approve the update to the 
charter though.

Danny

On 9/15/21 11:52 AM, Nancy Cam-Winget (ncamwing) wrote:
>
> Hi all,
>
> I will not be able to attend today’s session, but would like to ensure 
> time is spent in refining the charter text.  The good news is that 
> there is support for the work, but the charter text needs to be agreed 
> upon.
>
> There were 2 suggested updates by Janelle and Phil so the updated 
> charter text is provided below….Can you focus today’s session to get 
> agreement on the below text or update accordingly?
>
> The System for Cross-domain Identity Management (SCIM) 
> specification is an HTTP-based protocol that makes managing identities 
> in multi-domain scenarios easier. SCIM was last published in 2015 and 
> has seen growing adoption.
>
> One goal for this working group is to shepherd SCIM, currently RFC 
> series 7642 <https://datatracker.ietf.org/doc/html/rfc7642>, 7643 
> <https://datatracker.ietf.org/doc/html/rfc7643>, 7644 
> <https://datatracker.ietf.org/doc/html/rfc7644>, through the Internet 
> Standard process. The group will deliver revised specifications for 
> the SCIM requirements as Informational, and for the SCIM protocol and 
> base schema suitable for consideration as a Standard. This work will 
> be based upon the existing RFCs, errata and interoperabilty feedback, 
> and incorporate current security and privacy best practices.
>
> In addition to revising the requirements, protocol and base schema 
> RFCs, the group will also consider additional specifications as 
> extensions to SCIM that have found broad adoption and are ready for 
> standards track. This includes profiles and schemas for 
> interoperability in additional scenarios. The working group will 
> develop additional Proposed Standard RFCs based on outcomes of the 
> following work:
>
>       o Focus on Use cases and implementation patterns
>           + Pull vs. Push based use cases
>           + Events and signals use cases
>           + Deletion use cases
>       o New use cases may be added to the revised RFC
>       o Profiling SCIM relationships with other identity-centric
>         protocols such as OAuth 2.0, OpenID Connect, Shared Signals,
>         and Fastfed
>       o Updates to the evolution of the externalid usage
>
> oUpdates to account state for capturing context of the state or change 
> in state of the users account
>
>      o
>       o Incremental approach to synchronization
>       o Consider building off of RFC8417 and draft-hunt-idevent-scim
>         <https://tools.ietf.org/html/draft-hunt-idevent-scim>
>       o Handling Deletes in SCIM Servers that don’t allow Deletes
>         (Soft Deletes) - based on [draft-ansari-scim-soft-delete-00]
>       o Discovery and negotiation of client credentials
>       o Attribute mapping
>       o Per-attribute schema negotiation
>   * Enhance the existing schema to support exchanging of HR,
>     Enterprise group and privileged access management (using
>     draft-grizzle-scim-pam
>     <https://tools.ietf.org/id/draft-grizzle-scim-pam-ext-00.html> as
>     a base)
>
> *From: *scim <[email-masked]> on behalf of Pamela Dingle 
> <Pamela.Dingle=[email-masked]>
> *Date: *Wednesday, September 15, 2021 at 6:39 AM
> *To: *"[email-masked]" <[email-masked]>
> *Subject: *[scim] SCIM IG meeting today: 3pm and Oct 6: 8am (pacific)
>
> Hi all,
>
> Just a heads up that today's SCIM IG meetup is at 3pm pacific time, 
> and our next SCIM IG meeting is not until October 6.  We can schedule 
> an interim meeting if we need to.
>
> The dial-in link for the meeting is below, we had one person who we 
> could not get admitted to the meeting but could see in the lobby - if 
> that happens again today, please email me with a phone number and I 
> will try to dial you in manually, I'm so sorry that you weren't able 
> to connect!
>
> <https://teams.microsoft.com/l/meetup-join/19%3ameeting_Y2QxYzU0NjEtN2ZjNi00MGQ1LWJkMzUtZmQxZjZlZGZiYWZi%40thread.v2/0?context=%7b%22Tid%22%3a%2272f988bf-86f1-41af-91ab-2d7cd011db47%22%2c%22Oid%22%3a%2285bc2986-6412-41c0-ab6d-98c80048fe64%22%7d>
>
> *Meeting Date*
> *Time*
> _______________________________________________
> scim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/scim